﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Spread_Win_ProtectSetting
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.fpSpread1.Sheets[0].Cells[0, 0].Locked = true;

            this.fpSpread1.Sheets[0].Cells[0, 0, 2, 2].Locked = true;

            this.fpSpread1.Sheets[0].Columns[0].Locked = true;

            this.fpSpread1.Sheets[0].Rows[0].Locked = true;

            this.fpSpread1.Sheets[0].Protect = false;
        }

        private void btnLockCell_Click(object sender, EventArgs e)
        {
            this.fpSpread1.ActiveSheet.ActiveCell.Locked = true;
        }

        private void btnLockRow_Click(object sender, EventArgs e)
        {
            this.fpSpread1.ActiveSheet.ActiveRow.Locked = true;
        }

        private void btnLockCol_Click(object sender, EventArgs e)
        {
            this.fpSpread1.ActiveSheet.ActiveColumn.Locked = true;
        }

        private void ckProtect_CheckedChanged(object sender, EventArgs e)
        {
            this.fpSpread1.ActiveSheet.Protect = !this.fpSpread1.ActiveSheet.Protect;
        }

        private void btnSaveExcel_Click(object sender, EventArgs e)
        {
            this.fpSpread1.SaveExcel("test.xlsx", FarPoint.Excel.ExcelSaveFlags.UseOOXMLFormat);
        }
    }
}
